# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.83.0"
name = "cargo-outdated"
version = "0.17.0"
authors = [
    "Kevin K. <kbknapp@gmail.com>",
    "Frederick Z. <frederick888@tsundere.moe>",
    "Ricky H. <ricky.hosfelt@gmail.com>",
]
build = false
exclude = ["*.png"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cargo subcommand for displaying when dependencies are out of date"
readme = "README.md"
keywords = [
    "cargo",
    "subcommand",
    "dependencies",
    "cargo-subcommand",
    "deps",
]
categories = [
    "development-tools",
    "development-tools::cargo-plugins",
]
license = "MIT"
repository = "https://github.com/kbknapp/cargo-outdated.git"

[features]
debug = []
default = []
vendored-openssl = ["cargo/vendored-openssl"]

[[bin]]
name = "cargo-outdated"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.cargo]
version = "0.86.0"

[dependencies.clap]
version = "4.1.4"
features = ["derive"]

[dependencies.env_logger]
version = "0.11.5"

[dependencies.git2-curl]
version = "0.20.0"

[dependencies.rustc-hash]
version = "2.0"

[dependencies.semver]
version = "1.0.0"

[dependencies.serde]
version = "1.0.114"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.56"

[dependencies.strum]
version = "0.26.3"
features = ["derive"]

[dependencies.tabwriter]
version = "1.2.1"

[dependencies.tempfile]
version = "3.6"

[dependencies.toml]
version = "0.8.6"

[dev-dependencies.pretty_assertions]
version = "1.2.0"

[profile.release]
lto = true
